package org.jeecg.modules.stm.audit.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.stm.audit.entity.AuditCheckMethodItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 检查方法条目
 * @Author: jeecg-boot
 * @Date:   2024-10-10
 * @Version: V1.0
 */
public interface AuditCheckMethodItemMapper extends BaseMapper<AuditCheckMethodItem> {

    List<Map<String,Object>> getAllCheckMethodByItem(@Param("query") AuditCheckMethodItem item);
    List<Map<String,Object>> getAllCheckMethod(@Param("query") AuditCheckMethodItem item);
    List<Map<String,Object>> getAllCheckMethodFiles(@Param("query") AuditCheckMethodItem item);
    List<Map<String,Object>> getAllCheckItemCount();
}
